.topnav {
    overflow: hidden;
    background-color: #F8FAFB;
    padding: 8px 8px;
}

.topnav a {
    float: left;
    display: block;
    color: #292D3F;
    text-align: center;
    padding: 8px 16px;
    width: 14.28%;
    text-decoration: none;
    font-size: 17px;
    border-radius: 4px;
}

.topnav a:hover {
    background-color: #F9B900;
    color: #F8FAFB;
}

.topnav a.active {
    background-color: #F9B900;
    color: #F8FAFB;
}

.topnav .icon {
    display: none;
    width: 14.28%;
}

@media screen and (max-width: 700px) {
    .topnav a:not(:first-child, .icon) {
        display: none;
        width: 100%;
    }
    .topnav a:is(:first-child) {
        width: 83.3%;
        text-align: left;
    }
    .topnav a.icon {
        float: right;
        display: block;
    }
}

@media screen and (max-width: 700px) {
    .topnav.responsive {position: relative;}
    .topnav.responsive .icon {
        position: absolute;
        right: 8px;
        top: 8px;
    }
    .topnav.responsive a:not(.icon) {
        float: none;
        display: block;
        text-align: left;
    }
}

/**********************************/
/* Standard card rows and columns */
.row {
    display: flex;
    flex-wrap: wrap;
    padding: 8px 8px;
}

/* Create three equal columns that sit next to each other */
.column {
    flex: 33.33%;
    max-width: 33.33%;
    padding: 0 8px;
}

/* Responsive layout - makes the columns stack */
@media (max-width: 700px) {
    .column {
        flex: 100%;
        max-width: 100%;
        margin-top: 8px;
    }
    .row {
	padding: 0 8px;
    }
}


/*****************************/
/* Schedule rows and columns */

.schedule_row {
    display: flex;
    flex-wrap: wrap;
    padding: 0 8px;
    margin: 16px 32px;
    border-radius: 8px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.16);
}

.schedule_day {
    flex: 100%;
    text-align: center;
    padding: 8px 0 0 0;
}

.schedule_time_column {
    flex: 45%;
    max-width: 45%;
    text-align: right;
    padding: 8px 16px;
}

.schedule_info_column {
    flex: 55%;
    max-width: 55%;
    padding: 8px 16px;
}

@media (max-width: 800px) {
    .schedule_time_column {
	flex: 30%;
	max-width: 30%;
    }

    .schedule_info_column {
	flex: 70%;
	max-width: 70%;
    }
}
	

/******************************/
/* Info card rows and columns */
.info_card_container {
    padding: 16px 16px;
    margin: 16px 32px;
    border-radius: 8px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    align-items: center;
    color: #F8FAFB;
}

.info_card_container_0 {
    display: flex;
    flex-wrap: wrap;
    padding: 16px 16px;
    margin: 16px 32px;
    border-radius: 8px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    align-items: center;
    color: #F8FAFB;
    background-color: #292D3F;
}

.info_card_container_1 {
    display: flex;
    flex-wrap: wrap;
    padding: 16px 16px;
    margin: 16px 32px;
    border-radius: 8px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    align-items: center;
    color: #F8FAFB;
    background-color: #8AB3BC;
}
    
.info_card_img {
    flex: 30%;
    max-width: 30%;
}

.info_card_img img {
    padding: 8px 8px 8px 8px;
    border-radius: 16px;
    width: 100%;
}

.info_card_text_0 {
    flex: 70%;
    padding: 0 8px;
    text-align: left;
}

.info_card_text_1 {
    flex: 70%;
    padding: 0 8px;
    text-align: right;
}

@media (max-width: 700px) {
    .info_card_container_0 div:first-child {
	order: 1;
    }
    
    .info_card_img {
        flex: 100%;
        max-width: 100%;
    }
    
    .info_card_text_0 {
	flex: 100%;
	text-align: center;
    }
    
    .info_card_text_1 {
	flex: 100%;
	text-align: center;
    }
}


/****************************/
/* Gallery rows and columns */
.gallery_row {
    display: flex;
    flex-wrap: wrap;
    padding: 0 4px;
}

.things_gallery {
    display: flex;
    flex-wrap: wrap;
}

/* Create three equal columns that sits next to each other */
.gallery_column {
    flex: 33.33%;
    max-width: 33.33%;
    padding: 0 4px;
}

.gallery_column img {
    margin-top: 8px;
    vertical-align: middle;
}

.things_item {
    height: 40vh;
    margin: 4px;
    flex-grow: 1;
}

.things_item img {
    max-height: 100%;
    min-width: 100%;
    object-fit: cover;
    vertical-align: bottom;
}

.desc {
    max-height: 20%;
    width: 100%;
    text-align: center;
}

/* Responsive layout - makes a two column-layout instead of four columns */
/*
@media (max-width: 800px) {
    .gallery_column {
        flex: 50%;
        max-width: 50%;
    }
}
*/

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media (max-width: 700px) {
    .gallery_column {
        flex: 100%;
        max-width: 100%;
    }

    .things_gallery {
	flex-direction: row;
    }
    .things_item {
	height: auto;
	width: 100%;
    }
    .things_item img {
	width: 100%;
	min-width: 0;
    }
}

/****************************/
/* Title and subtitle fonts */
 
.main_title {
    font-family: "Spartan";
    font-size: 7vw;
}

.main_subtitle {
    font-family: "Birthstone Bounce";
    font-size: 4vw;
}

.main_subtitle_spartan {
    font-family: "Spartan";
    font-size: 2vw;
}

.spartan_font {
    font-family: "Spartan";
}

.birthstone_font {
    font-family: "Birthstone Bounce";
}

/****************/
/* Color scheme */

.font_color_light {
    color: #F8FAFB;
}
.font_color_dark {
    color: #292D3F;
}
.font_color_main {
    color: #F9B900;
}
.font_color_accent {
    color: #AE534E;
}
.font_color_light_accent{
    color: #8AB3BC;
}
.background_color_light {
    background-color: #F8FAFB;
}
.background_color_dark {
    background-color: #292D3F;
}
.background_color_main {
    background-color: #F9B900;
}
.background_color_accent {
    background-color: #AE534E;
}
.background_color_light_accent{
    background-color: #8AB3BC;
}
.background_color_dark-main {
    background-color: #6e5a1e;
}

.hover_dark_main_background:hover {
    color: #292D3F !important;
    background-color: #F9B900 !important;
}

.hover_light_main_background:hover {
    color: #F8FAFB !important;
    background-color: #F9B900 !important;
}

.hover_color_accent:hover {
    color: #AE534E;
}
